## delo 0.7

=== delo/Makefile ===
CC=gcc
CFLAGS=-O0 -g

delo: delo.o

delo.o: delo.c

install: delo
	cp delo /sbin

clean:
	rm -f core *.o *~ delo tags
