=== loader/Makefile ===

CC=gcc
CFLAGS=-mno-abicalls -G 0 -fno-pic 
ASFLAGS=-mno-abicalls -G 0 -fno-pic
LDFLAGS=-static -T ld.script -Ttext=0x80440000

delo.2nd.raw: delo.2nd
	objcopy --output-target=binary delo.2nd delo.2nd.raw

delo.2nd: start.o msdos.o config.o main.o file.o malloc.o stringops2.o stringops1.o copyelf.o
	ld ${LDFLAGS} -o delo.2nd start.o config.o msdos.o copyelf.o stringops2.o stringops1.o malloc.o main.o file.o e2fslib/libext2fs.a 

malloc.o: malloc.c

stringops1.o: stringops1.c

stringops2.o: stringops2.c

main.o: main.c

file.o: file.c

config.o: config.c

msdos.o: msdos.c

copyelf.o: copyelf.c

start.o: start.S	

install: delo.2nd.raw
	cp delo.2nd.raw /boot/delo.2nd

tags:
	ctags *.h *.c

clean:	
	rm -f *.r *.o tags delo.2nd delo.2nd.raw
