## delo 0.8-1

=== debian/changelog ===
delo (0.8-1) unstable; urgency=high

  * New upstream version by Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
    Added features:
    - delo has now iso9660 filesystem support and can create bootable 
      CD images
    - delo boots ECOFF, ELF and ELF64 kernels
    - delo supports pre-loading of an initial ramdisk
    - t-rex added to create network bootable TFTP images
    The new upstream version includes the Debian patches from the older
    package versions.
  * Added debconf support
  * New/extended manpages
  * Package now builds for non-mipsel as well (needed for Debian
    CD generation)
  * Adopting orphaned package. (Closes: #120656)

 -- Karsten Merker <merker@debian.org>  Sun, 18 Jan 2004 18:28:13 +0100

delo (0.7-8) unstable; urgency=high

  * Applied patch from Flo, to fix booting on CVS kernels. This Closes:
    #124134.

  * Urgency high, since this is release critical, and should get into
    woody.

 -- Gergely Nagy <algernon@debian.org>  Sun, 16 Dec 2001 00:27:16 +0100

delo (0.7-7) unstable; urgency=low

  * debian/patches/04-config.c.dpatch: new patch from
  Guido Guenther <agx@debian.org> (Closes: #120087)

 -- Gergely Nagy <algernon@debian.org>  Sun, 18 Nov 2001 16:01:59 +0100

delo (0.7-6) unstable; urgency=medium

  * debian/delo.postinst: ask before running deloconfig (Closes: #115590)
  * urgency medium, since older versions can break some installs

 -- Gergely Nagy <algernon@debian.org>  Mon, 15 Oct 2001 21:17:46 +0200

delo (0.7-5) unstable; urgency=low

  * debian/control: since perl-base is essential, we don't need to depend
    on it explictly...

 -- Gergely Nagy <algernon@debian.org>  Sat, 29 Sep 2001 17:34:13 +0200

delo (0.7-4) unstable; urgency=high

  * debian/control: downgrade perl dependancy to perl-base
  (Closes: #113787)
  * urgency set to high, since this allows configuration in boot-floppies    

 -- Gergely Nagy <algernon@debian.org>  Sat, 29 Sep 2001 14:25:11 +0200

delo (0.7-3) unstable; urgency=low

  * Fixed the delo.8 manpage, thanks to Adrian Bunk <bunk@fs.tum.de> for
    the patch (Closes: #112230)
  * Fix packaging: include .diff again.

 -- Gergely Nagy <algernon@debian.org>  Sat, 15 Sep 2001 15:36:45 +0200

delo (0.7-2) unstable; urgency=low

  * Disable debug mode in deloconfig, whopsy
  * deloconfig:
  	+ does not ask for the default console by default
  	+ made sure to install to the root disk, not to the
  	root partition
  * Thanks to Karsten Merker <karsten@excalibur.cologne.de> for
  his observations
  * Cleaned up manual pages, removed last traces of `lilo' (oops)
  * Packaging redone without debhelper
  * Bumped Standards-Version to 3.5.6
  * Added perl to the Depends: line

 -- Gergely Nagy <algernon@debian.org>  Sun,  5 Aug 2001 01:53:58 +0200

delo (0.7-1) unstable; urgency=low

  * Initial release
  * Wrote deloconfig (based on liloconfig)
  * ld target changed to elf32-tradlittlemips (to work with the
  current glibc ABI)
  * Wrote manual pages for delo, deloconfig and delo.conf
  * Rewrote loader/dec_prom.h, do get rid of the old-BSD licensed one

 -- Gergely Nagy <algernon@debian.org>  Fri,  3 Aug 2001 15:55:25 +0200
