=== debian/changelog ===
delo (0.8-2) unstable; urgency=high

  * Do not strip the loader binary (delo.2nd).
    This is required to be able to build delo on non-mipsel
    architectures without multiarch-binutils, as the non-mipsel
    strip binaries can break the loader.  (Closes: #252143)

  * Changed delo.config, delo.postinst and delo.prerm for
    better POSIX compatibilty; patch by David Weinehall.
    (Closes: #254924)

 -- Karsten Merker <merker@debian.org>  Sat, 25 Sep 2004 17:48:23 +0200
