=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_strip -Xloader
+	dh_strip -Xloader -Xdelo.2nd
 	dh_compress
 	dh_fixperms
 	dh_shlibdeps
