## delo 0.8-2.1

=== debian/changelog ===
delo (0.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link (Closes: #359377).
  * Fix for the cdebconf transition (Closes: #331798).
  * Applied patch from Martin Quinson, to switch to gettext based debconf
    templates (Closes: #250269).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 12 Jul 2006 21:02:53 +0200
