=== debian/changelog ===
delo (0.8-2.2) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf translations
    - French added. Closes: #379976
    - Portuguese added. Closes: #380307

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Jan 2007 23:17:06 +0100
