=== debian/control ===
Source: delo
Section: base
Priority: important
Maintainer: Karsten Merker <merker@debian.org>
Build-Depends: e2fslibs-dev (>= 1.39), comerr-dev (>= 2.1-1.39), debhelper (>= 4), dpatch
Standards-Version: 3.6.1.0

Package: delo
Architecture: any
Depends: ${shlibs:Depends}, debconf | debconf-2.0
Description: The DECstation boot loader
 This is DELO, the DECstation boot loader, which you need to boot Linux
 on DECstations from storage media. It can also create bootable media
 for DECstations on other machines.
