=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	rm -rf debian/patched
 	$(MAKE) clean
 	dh_clean
+	debconf-updatepo
 
 install: build
 	dh_testdir
