## delo 0.8-2.4ubuntu1

=== debian/changelog ===
delo (0.8-2.4ubuntu1) intrepid; urgency=low

  * debian/patches/00list, debian/patches/01_include-limits-h.dpatch
    + Explicitly include limits.h for gcc 4.3(LP: #247304)

 -- Bobby R. Ward <bobbyrward@gmail.com>  Thu, 10 Jul 2008 14:26:04 +0000

delo (0.8-2.4) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * We've given the package as much non-intrusive love as possible.
    The remaining needs to be given by someone who commits to give love
    on long-term. Amaya and I have only been one-night lovers.
    Closes: #378037
  * Debconf translations:
    - French. Closes: #474502
    - German. Closes: #475422
    - Czech. Closes: #480145
    - Finnish. Closes: #480269
    - Galician. Closes: #480222
    - Russian. Closes: #480262
    - Basque. Closes: #480291
    - Portuguese. Closes: #480742
  * [Lintian] Add copyright information to debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 May 2008 10:27:16 +0200

delo (0.8-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Added German debconf translation (Closes: #416161).
  * Added Czech debconf translation (Closes: #414389).
  * Added Dutch debconf translation (Closes: #452953).
  * Added improvement of the debconf templates . Thanks Thomas Huriaux
    (Closes: #378221).
  * Make lintian happier:
    - Add Buil-Dep on po-debconf
    - Section change from base to admin, where the rest of bootloaders live.
    - mv DH_COMPAT in debian/rules to debian/compat 
    - Update the FSF postal address in debian/copyright
    - Add #DEBHELPER# token in debian/delo.prerm and debian/delo.postrm
    - create debian/patches/00list (dpatch is not even used).
    - updated standards version, no changes needed.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 29 Mar 2008 13:48:45 +0100
