=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: delo
-Section: base
+Section: admin
 Priority: important
-Maintainer: Karsten Merker <merker@debian.org>
-Build-Depends: e2fslibs-dev (>= 1.39), comerr-dev (>= 2.1-1.39), debhelper (>= 4), dpatch
-Standards-Version: 3.6.1.0
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Karsten Merker <merker@debian.org>
+Build-Depends: e2fslibs-dev (>= 1.39), comerr-dev (>= 2.1-1.39), debhelper (>= 4), dpatch, po-debconf
+Standards-Version: 3.7.3
 
 Package: delo
 Architecture: any
