## delo 0.8-2.5

=== debian/changelog ===
delo (0.8-2.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch. Closes: #483012
    - Swedish. Closes: #501036
    - Italian. Closes: #483012

 -- Christian Perrier <bubulle@debian.org>  Fri, 24 Oct 2008 06:08:56 +0200
