## delo 0.8-2.5ubuntu1

=== debian/changelog ===
delo (0.8-2.5ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    +  debian/patches/00list, debian/patches/01_include-limits-h.dpatch
       - Explicitly include limits.h for gcc 4.3(LP: #247304)

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 11 Nov 2008 14:16:16 +0000
