## delo 0.8-2.6

=== debian/changelog ===
delo (0.8-2.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly includes limits.h to fix FTBFS under glibc 2.9 and GCC 4.3.
    Thanks to Bobby R. Ward <bobbyrward@gmail.com> and Ubuntu for the patch.
    (Closes: #506050)
  * Fix FTBFS twice in a row by not manually deleting debian/patched in clean
    target.
  * Add Spanish Debconf translation. Thanks to Francisco Javier Cuadrado
     <fcocuadrado@gmail.com>. (Closes: #518155)

 -- Chris Lamb <lamby@debian.org>  Sun, 02 Aug 2009 20:01:08 +0100
