=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: delo
 Section: admin
 Priority: important
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Karsten Merker <merker@debian.org>
+Maintainer: Karsten Merker <merker@debian.org>
 Build-Depends: e2fslibs-dev (>= 1.39), comerr-dev (>= 2.1-1.39), debhelper (>= 4), dpatch, po-debconf
 Standards-Version: 3.7.3
