=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	rm -rf debian/patched
 	$(MAKE) clean
 	dh_clean
 	debconf-updatepo
